Name:           scythia
Version:        0.9.3
Release:        7%{?dist}
Summary:        Just a small ftp client
Summary(pl):    Mały klient ftp
Group:          Applications/Internet
License:        GPLv3+
URL:            http://%{name}.free.fr/
Source0:        http://%{name}.free.fr/wp-content/%{name}_%{version}-2-src.tar.gz
Source1:        %{name}.desktop
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  qt4-devel >= 4.6.2
BuildRequires:  desktop-file-utils
Requires:       hicolor-icon-theme

%description
Scythia project is an simple and portable Ftp client. It does not claim to be
able to replace the biggest (no SSH etc.), but only to satisfy some persons
and to give us a bigger experience in programming.

%description -l pl
Scythia projekt to prosty i przenośny Ftp klient. Nie zapowiada się żeby był
w stanie zastąpić największe (brak ssh itp.) ale tylko daje satysfakcje osobom
i daje duże doświadczenie w programowaniu.

%prep
%setup -q -n %{name}
chmod a-x AUTHORS COPYING

%build
qmake-qt4 scythia.pro
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install INSTALL_ROOT=$RPM_BUILD_ROOT INSTALL="install -p"
rm $RPM_BUILD_ROOT%{_datadir}/applnk/Internet/scythia.desktop
rm $RPM_BUILD_ROOT%{_docdir}/scythia/html/aide_8h-source.html

desktop-file-install --vendor="fedora"               \
  --dir=$RPM_BUILD_ROOT%{_datadir}/applications         \
  %{SOURCE1}

%clean
rm -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING
%{_bindir}/%{name}
%{_docdir}/%{name}
%{_datadir}/%{name}
%{_datadir}/icons/hicolor/128x128/apps/%{name}.png
%{_datadir}/pixmaps/%{name}.xpm
%{_datadir}/applications/fedora-%{name}.desktop

%changelog
* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.3-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Feb 23 2010 Haïkel Guémar <karlthered@gmail.com> - 0.9.3-5
- Rebuilt against Qt 4.6.2

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.3-4.2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.3-3.2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Feb 06 2008 Krzysztof Kurzawski <kurzawax at gmail.com> - 0.9.3-2.2
- Correct license
- Correct .desktop file

* Wed Feb 06 2008 Krzysztof Kurzawski <kurzawax at gmail.com> - 0.9.3-2.1
- First release
